import ContestDescription from "../../../ContestDescription/index.jsx";
import classnames from 'classnames';
import classes from './styles.module.scss';
import typography from '../../typography.module.scss';
import { useLeaderboardFormatContext } from '../../context';
const Description = function Description(props) {
  const {
    contestId
  } = props;
  const {
    showContestDescription
  } = useLeaderboardFormatContext();
  if (!showContestDescription) {
    return null;
  }
  return <p className={classnames(classes.container, typography.description)}>
      <ContestDescription id={contestId} />
    </p>;
};
export default Description;